Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryStringInstantiationAstVisitor

- groovy.org.codenarc.rule.unnecessary.UnnecessaryStringInstantiationAstVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static def` | `NEW_STRING`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getViolationMessage(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)`
    `` | `protected def` | `isConstructorCallAViolation(org.codehaus.groovy.ast.expr.ConstructorCallExpression constructorCall)`

- - ### Property Detail

    - #### static final def NEW_STRING

  - ### Method Detail

    - #### @Override protected String getViolationMessage(org.codehaus.groovy.ast.expr.ConstructorCallExpression call)

    - #### @SuppressWarnings('ExplicitCallToGetAtMethod') protected def isConstructorCallAViolation(org.codehaus.groovy.ast.expr.ConstructorCallExpression constructorCall)